cmake_minimum_required(VERSION 2.8.11)

project (ubusd)

include (libubus)
include (libubox)

file(
	GLOB
	source_files
	../../../ubusd.c
	../../../ubusd_id.c
	../../../ubusd_obj.c
	../../../ubusd_proto.c
	../../../ubusd_event.c
	../../../ubusd_acl.c
	../../../ubusd_monitor.c
)

add_executable (ubusd ${source_files})

add_dependencies (ubusd ubus)

target_link_libraries (ubusd
	LINK_PUBLIC 
	ubus
	)